%define	major 1
%define libname %mklibname zap %{major}
%define develname %mklibname zap -d

%define OCT6114_064_VERSION   1.05.01
%define OCT6114_128_VERSION   1.05.01
%define TC400M_VERSION        MR6.12
%define VPMADT032_VERSION     1.07

Summary:	Zapata Telecom Library
Name:		zapata
Version:	1.4.12.1
Release:	%mkrel 18
License:	GPLv2
Group:		System/Libraries
URL:            https://www.asterisk.org/
Source0:	https://downloads.asterisk.org/pub/telephony/zaptel/zaptel-%{version}.tar.gz
Source10:	https://downloads.digium.com/pub/telephony/firmware/releases/zaptel-fw-oct6114-064-%{OCT6114_064_VERSION}.tar.gz
Source11:	https://downloads.digium.com/pub/telephony/firmware/releases/zaptel-fw-oct6114-128-%{OCT6114_128_VERSION}.tar.gz
Source12:	https://downloads.digium.com/pub/telephony/firmware/releases/zaptel-fw-tc400m-%{TC400M_VERSION}.tar.gz
Source13:	https://downloads.digium.com/pub/telephony/firmware/releases/zaptel-fw-vpmadt032-%{VPMADT032_VERSION}.tar.gz
Source100:	autoconf.h
Patch0:		zaptel-1.4.12.1-printf.diff
Patch1:		zaptel-1.4.12.1-makefile.diff
Patch2:		zaptel-1.4.12.1-firmware.diff
Patch3:		zaptel-1.4.12-missing-include.patch
BuildRequires:	libtool
BuildRequires:	kernel-devel
BuildRequires:	wget

%description
The Zapata library implements function calls allowing the user
easy access to the telephony functionality.


%package	firmware
Summary:	Shared Zapata Telecom Library
Group:          System/Libraries

%description 	firmware
The Zapata library implements function calls allowing the user
easy access to the telephony functionality.  These are firmware files.

%package -n	%{libname}
Summary:	Shared Zapata Telecom Library
Group:          System/Libraries
Requires:	zapata

%description -n	%{libname}
The Zapata library implements function calls allowing the user
easy access to the telephony functionality.

%package -n	%{develname}
Summary:	Zapata Telecom Library development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	libzap-devel = %{version}

%description -n	%{develname}
The Zapata library implements function calls allowing the user
easy access to the telephony functionality.

This package contains the development library and its header
files for the Zapata Telecom Library.

%package -n	perl-%{name}
Summary:	Zapata Telecom Library perl files
Group:		Development/Perl
Provides:	%{name}-perl = %{version}

%description -n	perl-%{name}
The Zapata library implements function calls allowing the user
easy access to the telephony functionality.

This package contains the perl library and its header
files for the Zapata Telecom Library.

%prep
%setup -q -n zaptel-%{version}
%patch -P 0 -p1 -b .fprintf
%patch -P 1 -p1 -b .kernel
%patch -P 2 -p0 -b .firmware
%patch -P 3 -p1 -b .include

install -Dpm 644 %{SOURCE100} .

# skip downloading firmwares
for i in %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13};do
 # "download"
 install -Dpm 644 $i firmware/
 # extract
 tar -xvf $i -C ./firmware/
done

%build
%configure

%make_build \
    CFLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT -Iinclude -DHAVE_STRTOQ -DSTANDALONE_ZAPATA -DZAPTEL_CONFIG=\"zaptel.conf\" -DCONFIG_FILENAME\"zaptel.conf\"" \
    prefix=%{_prefix} libdir=%{_libdir}

%install
install -d %{buildroot}/%{_initrddir}
install -d %{buildroot}/%{_sysconfdir}
install -d %{buildroot}/etc/sysconfig
install -m0644 zaptel.conf.sample %{buildroot}/%{_sysconfdir}/zaptel.conf
install -m0755 zaptel.init %{buildroot}/%{_initrddir}/zaptel
install -m0644 zaptel.sysconfig %{buildroot}/etc/sysconfig/zaptel
rm -rf %{buildroot}

%make_install \
    libdir=%{_libdir} \
    includedir=%{_includedir} \
    PERLLIBDIR=%{perl_vendorlib}

# (cg) Fix udev rules location
mkdir -p %{buildroot}%{_prefix}/lib
mv %{buildroot}%{_sysconfdir}/udev %{buildroot}%{_prefix}/lib/

# skip static lib
find %{buildroot} -name "*.a" -delete

%post
%_post_service zaptel

%preun
%_preun_service zaptel

%files
%{_sysconfdir}/zaptel.conf
#{_initrddir}/zaptel
#{_sysconfdir}/sysconfig/zaptel
%{_sysconfdir}/hotplug/usb/xpp_fxloader
%{_sysconfdir}/hotplug/usb/xpp_fxloader.usermap
%{_udevrulesdir}/xpp.rules
/sbin/fxotune
/sbin/ztcfg
/sbin/ztmonitor
/sbin/ztscan
/sbin/ztspeed
/sbin/zttest
%{_sbindir}/genzaptelconf
%{_sbindir}/lszaptel
%{_sbindir}/xpp_blink
%{_sbindir}/xpp_sync
%{_sbindir}/zaptel_hardware
%{_sbindir}/zapconf
%{_sbindir}/zt_registration
%{_mandir}/man8/fxotune.8*
%{_mandir}/man8/genzaptelconf.8*
%{_mandir}/man8/lszaptel.8*
%{_mandir}/man8/xpp_blink.8*
%{_mandir}/man8/xpp_sync.8*
%{_mandir}/man8/zapconf.8*
%{_mandir}/man8/zaptel_hardware.8*
%{_mandir}/man8/zt_registration.8*
%{_mandir}/man8/ztcfg.8*
%{_mandir}/man8/ztmonitor.8*
%{_mandir}/man8/ztscan.8*
%{_mandir}/man8/ztspeed.8*
%{_mandir}/man8/zttest.8*
%{_datadir}/zaptel/FPGA_1141.hex
%{_datadir}/zaptel/FPGA_1151.hex
%{_datadir}/zaptel/FPGA_FXS.hex
%{_datadir}/zaptel/USB_FW.hex
%{_datadir}/zaptel/init_card_1_30
%{_datadir}/zaptel/init_card_2_30
%{_datadir}/zaptel/init_card_3_30
%{_datadir}/zaptel/init_card_4_30
%{_datadir}/zaptel/init_fxo_modes
%{_datadir}/zaptel/xpp_fxloader


%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%exclude %{_libdir}/libtonezone.so

%files -n perl-%{name}
%{perl_vendorlib}/Zaptel.pm
%{perl_vendorlib}/Zaptel

%files firmware
/lib/firmware/.zaptel*
/lib/firmware/zaptel*
/usr/lib/hotplug/firmware/.zaptel*
/usr/lib/hotplug/firmware/zaptel*



%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.4.12.1-18.mga10
+ Revision: 2230280
- Mageia 10 Mass Rebuild

* Tue Nov 26 2024 ns80 <ns80> 1.4.12.1-17.mga10
+ Revision: 2118971
- fix build by adding -DHAVE_STRTOQ to CFLAGS
+ daviddavid <daviddavid>
- add patch to fix missing include

* Mon Mar 28 2022 umeabot <umeabot> 1.4.12.1-16.mga9
+ Revision: 1830305
- Mageia 9 Mass Rebuild

* Wed Jun 10 2020 daviddavid <daviddavid> 1.4.12.1-15.mga8
+ Revision: 1591988
- rebuild with new rpm-mageia-setup handling config.{guess,sub} update

* Tue Feb 11 2020 umeabot <umeabot> 1.4.12.1-14.mga8
+ Revision: 1488928
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Aug 26 2018 wally <wally> 1.4.12.1-13.mga7
+ Revision: 1254768
- don't install static lib
- install perl modules to vendorlib
- fix build on aarch64
- add firmware tarballs as sources to skip dl'ing them

* Sun Jun 19 2016 pterjan <pterjan> 1.4.12.1-12.mga6
+ Revision: 1036657
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.4.12.1-11.mga6
+ Revision: 931984
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.12.1-10.mga5
+ Revision: 739794
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.12.1-9.mga5
+ Revision: 690854
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4.12.1-8.mga4
+ Revision: 532964
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 1.4.12.1-7.mga4
+ Revision: 470438
- bump release

* Sat Aug 24 2013 dlucio <dlucio> 1.4.12.1-6.mga4
+ Revision: 470434
- P2 to force firmware build
- wget as BR
- new firmware subpackage

* Tue Jan 15 2013 colin <colin> 1.4.12.1-5.mga3
+ Revision: 388368
- Fix udev rules.d dir
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 wally <wally> 1.4.12.1-3.mga3
+ Revision: 335736
- fix perl pkg file list
- clean .spec a bit

* Mon Mar 26 2012 dlucio <dlucio> 1.4.12.1-2.mga2
+ Revision: 226471
- bump release

* Sun Mar 25 2012 dlucio <dlucio> 1.4.12.1-1.mga2
+ Revision: 226462
- file list fixes
- We dont isntall modules we dont build
- we exclude libtonezone.so to void problems with dahdi-devel
- imported package zapata


* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-8mdv2010.0
+ Revision: 435377
- rebuild

* Tue Jun 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-7mdv2009.0
+ Revision: 223775
- fix linkage
- fix devel package naming

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1.0.1-6mdv2008.1
+ Revision: 141006
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Aug 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-6mdv2007.0
- fix typo

* Wed Aug 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2007.0
- rebuild

* Sun May 07 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-4mdk
- BuildRequires: libtool

* Fri Sep 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-3mdk
- maintain our own libtool aware makefile

* Fri Sep 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdk
- rebuild

* Thu Jul 21 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-1mdk
- New release 1.0.1

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-3mdk
- use the %%mkrel macro

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-2mdk
- use newer zaptel header in P0
- use also -DPIC -D_REENTRANT in CFLAGS

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- fix url

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.1mdk
- initial mandrake package

